Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

List of all members
sauce::internal::Lock Class Reference

An RAII wrapper to hide locker details. More...

`#include <sauce/internal/locker_factory.h>`

Inheritance diagram for sauce::internal::Lock:

## Detailed Description

An RAII wrapper to hide locker details.

The documentation for this class was generated from the following file:

- sauce/internal/locker_factory.h